VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ClsScript"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Dim PageWd As Integer
Dim PageHt As Integer
Dim PaperSz As Integer
Dim PageCurr As Integer

Dim SFont As String
Dim SFontSZ As Integer
Dim SFontB As Boolean
Dim SFontI As Boolean
Dim SFontU As Boolean

Dim ScptFSO As Scripting.FileSystemObject
Dim ScptFile As Scripting.TextStream

Public Property Get PaperSize() As Integer
    PaperSize = PaperSz
End Property

Public Property Let PaperSize(ByVal vNewValue As Integer)
    PaperSz = vNewValue
    ScptFile.WriteLine "PaperSize=" & PaperSize
End Property

Public Property Get PageWidth() As Integer
    PageWidth = PageWd
End Property

Public Property Let PageWidth(ByVal vNewValue As Integer)
    PageWd = vNewValue
    ScptFile.WriteLine "PageWidth=" & PageWidth
End Property

Public Property Get PageHeight() As Integer
    PageHeight = PageHt
End Property

Public Property Let PageHeight(ByVal vNewValue As Integer)
    PageHt = vNewValue
    ScptFile.WriteLine "PageHeight=" & PageHeight
End Property

Public Property Get CurrentPage() As Integer
    CurrentPage = PageCurr
End Property

Public Property Let CurrentPage(ByVal vNewValue As Integer)
    PageCurr = vNewValue
    ScptFile.WriteLine "Page=" & CurrentPage
End Property

Public Property Get ScriptFont() As String
    ScriptFont = SFont
End Property

Public Property Let ScriptFont(ByVal vNewValue As String)
     SFont = vNewValue
End Property

Public Property Get ScriptFontSize() As Integer
    ScriptFontSize = SFontSZ
End Property

Public Property Let ScriptFontSize(ByVal vNewValue As Integer)
     SFontSZ = vNewValue
End Property

Public Property Get ScriptFontBold() As Boolean
    ScriptFontBold = SFontB
End Property

Public Property Let ScriptFontBold(ByVal vNewValue As Boolean)
     SFontB = vNewValue
End Property

Public Property Get ScriptFontItalic() As Boolean
    ScriptFontItalic = SFontI
End Property

Public Property Let ScriptFontItalic(ByVal vNewValue As Boolean)
     SFontI = vNewValue
End Property

Public Property Get ScriptFontUnderLine() As Boolean
    ScriptFontUnderLine = SFontU
End Property

Public Property Let ScriptFontUnderLine(ByVal vNewValue As Boolean)
     SFontU = vNewValue
End Property

Public Function OpenFile(Path_ As String)
    Set ScptFSO = New Scripting.FileSystemObject
    Set ScptFile = ScptFSO.CreateTextFile(Path_ & "\tmpPrint.add", True)
End Function

Public Function InitSettings()
    Str_ = "PageWidth=" & PageWidth
    Str_ = "PageHeight=" & PageHeight
    Str_ = "Orientation=" & Orientation
    Str_ = "StartingPos=" & StartingPos
End Function

Public Function WriteString(String_ As String, currX As Integer, currY As Integer)
    Str_ = "Data="
    Str_ = Str_ & "'" & currX & "'"
    Str_ = Str_ & "'" & currY & "'"
    Str_ = Str_ & "'" & String_ & "'"
    Str_ = Str_ & "'" & ScriptFont & "'"
    Str_ = Str_ & "'" & ScriptFontSize & "'"
    Str_ = Str_ & "'" & ScriptFontBold & "'"
    Str_ = Str_ & "'" & ScriptFontItalic & "'"
    Str_ = Str_ & "'" & ScriptFontUnderLine & "'"
    ScptFile.WriteLine Str_
End Function

Public Function DrawLine(X1 As Integer, X2 As Integer, Y1 As Integer, Y2 As Integer)
    Str_ = "Line="
    Str_ = Str_ & "'" & X1 & "'"
    Str_ = Str_ & "'" & X2 & "'"
    Str_ = Str_ & "'" & Y1 & "'"
    Str_ = Str_ & "'" & Y2 & "'"
    ScptFile.WriteLine Str_
End Function

Public Function EndDoc()
    Str_ = "EndDoc"
    ScptFile.WriteLine Str_
End Function

Public Function CloseFile()
    ScptFile.Close
    Set ScptFile = Nothing
    Set ScptFSO = Nothing
End Function
