VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form frmPreview 
   Caption         =   "Print Preview"
   ClientHeight    =   8595
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   11880
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   8595
   ScaleWidth      =   11880
   WindowState     =   2  'Maximized
   Begin VB.PictureBox PageCont 
      BackColor       =   &H00808080&
      Height          =   6735
      Left            =   120
      ScaleHeight     =   6675
      ScaleWidth      =   11595
      TabIndex        =   0
      Top             =   120
      Width           =   11655
      Begin VB.HScrollBar HScroll 
         Height          =   255
         LargeChange     =   1000
         Left            =   0
         Min             =   -240
         SmallChange     =   1000
         TabIndex        =   1
         Top             =   6405
         Value           =   -240
         Width           =   11325
      End
      Begin VB.VScrollBar VScroll 
         Height          =   6405
         LargeChange     =   1000
         Left            =   11325
         Min             =   -240
         SmallChange     =   1000
         TabIndex        =   2
         Top             =   0
         Value           =   -240
         Width           =   240
      End
      Begin VB.PictureBox Page_ 
         Appearance      =   0  'Flat
         AutoRedraw      =   -1  'True
         BackColor       =   &H80000005&
         ForeColor       =   &H80000008&
         Height          =   5175
         Index           =   0
         Left            =   240
         MousePointer    =   99  'Custom
         ScaleHeight     =   5145
         ScaleWidth      =   11145
         TabIndex        =   3
         Top             =   240
         Width           =   11175
      End
      Begin VB.Shape PageShadow 
         BackColor       =   &H80000008&
         BackStyle       =   1  'Opaque
         Height          =   2055
         Left            =   360
         Top             =   3960
         Width           =   2055
      End
   End
   Begin MSComDlg.CommonDialog CmDlg 
      Left            =   -240
      Top             =   -120
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Label lblCurrent 
      Height          =   255
      Left            =   6480
      TabIndex        =   4
      Top             =   120
      Visible         =   0   'False
      Width           =   1575
   End
End
Attribute VB_Name = "frmPreview"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Implements ClsIForm
Private m_EnableAttr As ToolBarItems
Public PreviewCurrPage As Integer
Public PreviewTotPage As Integer
Private Sub ClsIForm_AddNew()

End Sub

Private Sub ClsIForm_Address()

End Sub

Private Property Get ClsIForm_Attributes() As ToolBarItems
    ClsIForm_Attributes = m_EnableAttr
End Property

Private Sub ClsIForm_Cancel()

End Sub

Private Sub ClsIForm_CloseMe()
    Unload Me
End Sub

Private Sub ClsIForm_Delete()

End Sub

Private Sub ClsIForm_Edit()

End Sub

Private Sub ClsIForm_Export()
On Error GoTo ErrHandler
    CmDlg.DialogTitle = App.Title
    CmDlg.CancelError = True
    CmDlg.Filter = "Save Data in text File (*.txt)|*.txt|Save Data in Web Page (*.html)|*.html"
    CmDlg.FilterIndex = 0
    CmDlg.ShowSave
    If CmDlg.FilterIndex = 1 Then
        MakeTxtPage_ CmDlg.FileName
    Else
        MakeHTMLPage_ CmDlg.FileName
    End If
    CmDlg.FileName = ""
    Exit Sub
ErrHandler:
End Sub
Private Function MakeTxtPage_(Path_ As String)
Dim Sn_ As Integer

On Error GoTo ErrHandler
    Sn_ = 1
    Set Fso_ = CreateObject("Scripting.FilesystemObject")
    Set fil_ = Fso_.CreateTextFile(Path_, False)
    fil_.WriteBlankLines 1
    fil_.WriteLine PrintTab(5) & "Address Detail"
    fil_.WriteBlankLines 1
    
    fil_.WriteLine PrintString("Name", 20)
    fil_.WriteLine PrintString("Address", 20)
    fil_.WriteLine PrintString("Mobile", 20)
    fil_.WriteLine PrintString("Telephone", 20)
    fil_.WriteLine PrintString("Fax", 20)
    fil_.WriteLine PrintString("E-Mail", 20)
    fil_.WriteLine PrintString("Contact Person", 20)
    
    fil_.WriteBlankLines 2
    
    fil_.WriteLine "Generated By Abhilasha AddressBook 2006"
    fil_.WriteLine Format(Date, "DD-MMM-YYYY")
    fil_.WriteLine Format(Now, "hh:mm:ss AMPM")
    fil_.Close
    Set Fso_ = Nothing
    Set fil_ = Nothing
    
    MsgBox "File Generated", vbInformation
Exit Function
ErrHandler:
    MsgBox Err.Description
    
End Function

Private Function makeLin() As String
Dim i As Integer
    makeLin = ""
    For i = 0 To 220
        makeLin = makeLin & "-"
    Next i
End Function
Private Function PrintTab(J As Integer) As String
Dim i As Integer
    PrintTab = ""
    For i = 1 To J
        PrintTab = PrintTab & Chr(9)
    Next i
End Function
Private Function PrintString(Data_ As String, J As Integer) As String
Dim i As Integer
    PrintString = Data_
    For i = 1 To (J - Len(Data_))
        PrintString = PrintString & " "
    Next i
End Function
Private Function MakeHTMLPage_(Path_ As String)
Dim Sn_ As Integer

On Error GoTo ErrHandler
    Sn_ = 1
    Set Fso_ = CreateObject("Scripting.FilesystemObject")
    Set fil_ = Fso_.CreateTextFile(Path_, False)
    fil_.WriteBlankLines 1
    fil_.WriteLine "<HTML>"
    fil_.WriteLine "<HEAD>"
    fil_.WriteLine "<TITLE>Abhilasha AddressBook 2003 - Address List</TITLE>"
    fil_.WriteLine "</HEAD>"
    fil_.WriteLine "<BODY><CENTER>"
    fil_.WriteLine "<H1>Address List</H1>"
    fil_.WriteLine "<P>"
    fil_.WriteLine "<BR><BR>"
    fil_.WriteLine "<TABLE BORDER = 1>"
    fil_.WriteLine "<TR>"
    fil_.WriteLine "<TD><B><font face = 'Arial' Size = 2>S.No</FONT></TD>"
    fil_.WriteLine "<TD><B><font face = 'Arial' Size = 2>Name</FONT></TD>"
    fil_.WriteLine "<TD><B><font face = 'Arial' Size = 2>Address</FONT></TD>"
    fil_.WriteLine "<TD><B><font face = 'Arial' Size = 2>City</FONT></TD>"
    fil_.WriteLine "<TD><B><font face = 'Arial' Size = 2>Phone Res.</FONT></TD>"
    fil_.WriteLine "<TD><B><font face = 'Arial' Size = 2>Phone Off.</FONT></TD>"
    fil_.WriteLine "<TD><B><font face = 'Arial' Size = 2>Mobile</FONT></TD>"
    
    fil_.WriteLine "</TR>"
    
    Rs.Open "AddressDetail", Cnn, adOpenDynamic, adLockOptimistic
    While Not Rs.EOF
        fil_.WriteLine "<TR>"
        fil_.WriteLine "<TD><font face = 'Arial' Size = 2>" & Sn_ & "</FONT></TD>"
        fil_.WriteLine "<TD><font face = 'Arial' Size = 2>" & Rs.Fields(1).Value & " " & Rs.Fields(2).Value & "</FONT></TD>"
        fil_.WriteLine "<TD><font face = 'Arial' Size = 2>" & Rs.Fields(3).Value & " " & Rs.Fields(4).Value & " " & Rs.Fields(5).Value & "</FONT></TD>"
        fil_.WriteLine "<TD><font face = 'Arial' Size = 2>" & Rs.Fields(6).Value & "</FONT></TD>"
        fil_.WriteLine "<TD><font face = 'Arial' Size = 2>" & Rs.Fields(10).Value & "</FONT></TD>"
        fil_.WriteLine "<TD><font face = 'Arial' Size = 2>" & Rs.Fields(11).Value & "</FONT></TD>"
        fil_.WriteLine "<TD><font face = 'Arial' Size = 2>" & Rs.Fields(12).Value & "</FONT></TD>"
        fil_.WriteLine "</TR>"
             
        Rs.MoveNext
        Sn_ = Sn_ + 1
    Wend
    fil_.WriteLine "</TABLE>"
    fil_.WriteLine "<BR>"
    fil_.WriteLine "<BR>"
    fil_.WriteLine "<HR>"
    fil_.WriteLine "<B>"
    fil_.WriteLine "<CENTER>"
    fil_.WriteLine "Generated by Abhilasha Address 2003<BR>"
    fil_.WriteLine Format(Date, "DD-MMM-YYYY") & "<BR>" & Format(Now, "hh:mm:ss AMPM")
    fil_.WriteLine "<BR>"
    fil_.WriteLine "</CENTER>"
    fil_.WriteLine "</B>"
    fil_.WriteLine "</P>"
    fil_.WriteLine "</BODY>"
    fil_.WriteLine "</HTML>"
    fil_.Close
    Set Fso_ = Nothing
    Set fil_ = Nothing
    Rs.Close
    MsgBox "HTML File Generated", vbInformation
Exit Function
ErrHandler:
    MsgBox Err.Description
End Function
Private Sub ClsIForm_Find()

End Sub

Private Sub ClsIForm_FirstRec()
    For i = 0 To Page_.UBound
        Page_(i).Visible = False
    Next i
    Page_(0).Visible = True
    PreviewCurrPage = 0
    VScroll_Change
    HScroll_Change
    EditPanelsText MDIMain.StatusBar, 4, "Page " & PreviewCurrPage + 1 & " of Page " & PreviewTotPage + 1
End Sub

Private Sub ClsIForm_Groups()

End Sub

Private Sub ClsIForm_Help()

End Sub

Private Sub ClsIForm_LastRec()
    For i = 0 To Page_.UBound
        Page_(i).Visible = False
    Next i
    Page_(PreviewTotPage).Visible = True
    PreviewCurrPage = PreviewTotPage
    VScroll_Change
    HScroll_Change
    EditPanelsText MDIMain.StatusBar, 4, "Page " & PreviewCurrPage + 1 & " of Page " & PreviewTotPage + 1
End Sub

Private Sub ClsIForm_NextRec()
    If PreviewCurrPage = PreviewTotPage Then Exit Sub
    For i = 0 To Page_.UBound
        Page_(i).Visible = False
    Next i
    PreviewCurrPage = PreviewCurrPage + 1
    Page_(PreviewCurrPage).Visible = True
    VScroll_Change
    HScroll_Change
    EditPanelsText MDIMain.StatusBar, 4, "Page " & PreviewCurrPage + 1 & " of Page " & PreviewTotPage + 1
End Sub

Private Sub ClsIForm_PreviousRec()
    If PreviewCurrPage = 0 Then Exit Sub
    For i = 0 To Page_.UBound
        Page_(i).Visible = False
    Next i
    PreviewCurrPage = PreviewCurrPage - 1
    Page_(PreviewCurrPage).Visible = True
    VScroll_Change
    HScroll_Change
    EditPanelsText MDIMain.StatusBar, 4, "Page " & PreviewCurrPage + 1 & " of Page " & PreviewTotPage + 1
End Sub

Private Sub ClsIForm_PrintIt()
Dim Lin_ As String
Dim Prnt As Printer

    Set Prnt = Printer
    Set Fso_ = New Scripting.FileSystemObject
    
    If Fso_.FileExists(App.Path & "\tmpPrint.add") = False Then
        MsgBox "Unable to print.", vbCritical
        Set Fso_ = Nothing
        Set Prnt = Nothing
        Exit Sub
    End If
    
    Set fil_ = Fso_.OpenTextFile(App.Path & "\tmpPrint.add", ForReading, False)
    
    While Not fil_.AtEndOfStream
        Lin_ = fil_.ReadLine
        DoPrintAction Lin_, Prnt
    Wend
    
    Prnt.EndDoc
    Set fil_ = Nothing
    Set Fso_ = Nothing
    Set Prnt = Nothing
    MsgBox "Printing Gone.", vbInformation
End Sub
Private Sub DoPrintAction(Str_ As String, Prn As Printer)
Dim NewStr_ As String
Static UserPaperSz As Boolean
    
    Select Case Left(Str_, 4)
        Case "Pape"
            NewStr_ = Right(Str_, (Len(Str_) - 10))
            If NewStr_ = 256 Then
                UserPaperSz = True
            Else
                UserPaperSz = False
                Prn.PaperSize = NewStr_
            End If
        Case "Page"
            If Left(Str_, 5) = "PageW" Then
                If UserPaperSz = True Then
                    Prn.Width = Right(Str_, (Len(Str_) - 10))
                End If
            ElseIf Left(Str_, 5) = "PageH" Then
                If UserPaperSz = True Then
                    Prn.Height = Right(Str_, (Len(Str_) - 11))
                End If
            ElseIf Left(Str_, 6) = "Page=1" Then
            Else
                Prn.NewPage
            End If
        Case "Data"
            NewStr_ = Right(Str_, (Len(Str_) - 5))
            Prn.CurrentX = GetVal_(NewStr_, 1)
            Prn.CurrentY = GetVal_(NewStr_, 2)
            Prn.Font = GetVal_(NewStr_, 4)
            Prn.FontSize = GetVal_(NewStr_, 5)
            Prn.FontBold = GetVal_(NewStr_, 6)
            Prn.FontItalic = GetVal_(NewStr_, 7)
            Prn.FontUnderline = GetVal_(NewStr_, 8)
            Prn.Print GetVal_(NewStr_, 3)
        Case "Line"
            NewStr_ = Right(Str_, (Len(Str_) - 5))
            Prn.Line (GetVal_(NewStr_, 1), GetVal_(NewStr_, 3))-(GetVal_(NewStr_, 2), GetVal_(NewStr_, 4))
        Case "EndD"
            Prn.EndDoc
    End Select
End Sub
Private Function GetVal_(Str_ As String, Pos_ As Integer) As Variant
    Dim FlagVal As Byte
    Dim TempVal_ As String
    FlagVal = False
    TempVal_ = ""
    For i = 1 To Len(Str_)
        If Mid(Str_, i, 1) = "'" Then
            If FlagVal < (Pos_ + (Pos_ - 1)) Then
                FlagVal = FlagVal + 1
            Else
                GetVal_ = TempVal_
                Exit Function
            End If
        Else
            If FlagVal > ((Pos_ - 1) * 2) Then
                TempVal_ = TempVal_ & Mid(Str_, i, 1)
            End If
        End If
    Next i
End Function
Private Sub ClsIForm_PrintPreview()

End Sub

Private Sub ClsIForm_Refresh()

End Sub

Private Sub ClsIForm_Save()

End Sub

Private Sub ClsIForm_Viewer()

End Sub

Private Sub Form_Activate()
    m_Toolbar.Activate Name
End Sub
Private Sub Form_Load()
    PreviewCurrPage = 0
    m_EnableAttr = tbfirst + tbPrevious + tbnext + tblast + tbExport + tbPrint + tbclose
    m_Toolbar.Attach Me, Name
End Sub

Private Sub Form_Resize()
    ArrangeObjects
End Sub

Public Function ArrangeObjects()
    PageShadow.Height = Page_(PreviewCurrPage).Height
    PageShadow.Width = Page_(PreviewCurrPage).Width
    
    PageShadow.Top = Page_(PreviewCurrPage).Top + 40
    PageShadow.Left = Page_(PreviewCurrPage).Left + 40
       
    VScroll.Max = Page_(PreviewCurrPage).Height - (PageCont.Height)
    HScroll.Max = Page_(PreviewCurrPage).Width - (PageCont.Width + 1440)
    
    
    VScroll.Height = PageCont.Height - 300
    HScroll.Width = PageCont.Width - 300
    
    VScroll.Left = (PageCont.Width - VScroll.Width) - 60
    HScroll.Top = (PageCont.Height - (HScroll.Height + 60))
    
    If Page_(PreviewCurrPage).Height <= (PageCont.Height - HScroll.Height) Then
        VScroll.Max = 1
    Else
        VScroll.Max = (Page_(PreviewCurrPage).Height - PageCont.Height) + 720
    End If
    
    If Page_(PreviewCurrPage).Width <= (PageCont.Width - VScroll.Width) Then
        HScroll.Max = 1
    Else
        HScroll.Max = (Page_(PreviewCurrPage).Width - PageCont.Width) + 720
    End If
End Function
Private Sub Form_Unload(Cancel As Integer)
    m_Toolbar.Detach Name
End Sub
Private Sub VScroll_Change()
    Page_(PreviewCurrPage).Top = 0 - VScroll.Value
    PageShadow.Top = Page_(PreviewCurrPage).Top + 40
End Sub

Private Sub HScroll_Change()
    Page_(PreviewCurrPage).Left = 0 - HScroll.Value
    PageShadow.Left = Page_(PreviewCurrPage).Left + 40
End Sub
Private Sub HScroll_Scroll()
    HScroll_Change
End Sub
Private Sub VScroll_Scroll()
    VScroll_Change
End Sub
